summaryrefslogtreecommitdiff
path: root/dev-python/aiohttp
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-29 07:14:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-29 07:14:44 +0000
commita4fcebd05e1428e3902016b17a80e72f8b0a75db (patch)
tree8cd1ca7e1c3f0b27be8e2bc2565d1258430899f2 /dev-python/aiohttp
parent9525761df067d9ef08c7d71dcc8f3ca6898a1472 (diff)
downloadbaldeagleos-repo-a4fcebd05e1428e3902016b17a80e72f8b0a75db.tar.gz
baldeagleos-repo-a4fcebd05e1428e3902016b17a80e72f8b0a75db.tar.xz
baldeagleos-repo-a4fcebd05e1428e3902016b17a80e72f8b0a75db.zip
Adding metadata
Diffstat (limited to 'dev-python/aiohttp')
-rw-r--r--dev-python/aiohttp/Manifest2
-rw-r--r--dev-python/aiohttp/aiohttp-3.13.4.ebuild162
2 files changed, 164 insertions, 0 deletions
diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 5b3714380b83..a319834e9fe5 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -3,3 +3,5 @@ DIST aiohttp-3.13.2.tar.gz 7837994 BLAKE2B 7caefa888fe7ffb3b0440b6b1e49a67f06d88
DIST aiohttp-3.13.2.tar.gz.provenance 9242 BLAKE2B 37aef0018873d460c8d63d00c20e1bf9545de241638b7935762d787f71c02ae486ec6e6c1c453aaa3ca1ce7a17dc11d6f8cff57c06e2f05f8455db021b6aa782 SHA512 07e145a856084fd2b6f3f8fcc7e382ac75ceb06ac56fdc3f6d1de47e7bb9f21176e8f2023d83063b857f519bd6cf3e5b45bfe2004b726e0baa2376e36ec666a3
DIST aiohttp-3.13.3.tar.gz 7844556 BLAKE2B b3d966df1bbfce833a40cd4f9513427982833ceff77c210485954209927f6d4eb8243fd2aba66b01ab4bc33cf999a4248eb69b3fabce01047a430d9013b4f066 SHA512 a05ff320d63fc54f6b75fa4ecc9f1b97053f14724e580f703b0fe74e5b6f68d4534e6d0bc60cc12bb5a3771f239972fe4887afe3da8548cf7a92f724093f073e
DIST aiohttp-3.13.3.tar.gz.provenance 9330 BLAKE2B c7552ed638fc0ba0ad0a13092f035054f2e6642c3f7335a59b648c7ea79325c8d387ac932d3f3c3a6fe0017d247fc0623a9d6a3bf5703f8c7da9c5bbb8990125 SHA512 b0f173c0f9b9066abafc560224c8addd4b29dd4bddb5aa7945add8eee02eee6ca2ddfd6b766c8988fe344303fae81210e8531239c29fad43ffff38da529f08a2
+DIST aiohttp-3.13.4.tar.gz 7859748 BLAKE2B f206433450da9b054fff36170a54cd67655154eeb3e4ab8d36d2c78e3e8f19849f2b51a175094d972113fc1648bde462557e76c8688de0ef4b9158a943d1ed6d SHA512 af60220cfd762e200bb15b7ff94302a98340ce85ead3f000da9b0ad8cfdfb8963267f011b0310d9743b66fd75def61898620ee27934ba117151ae19f9d68fb12
+DIST aiohttp-3.13.4.tar.gz.provenance 9369 BLAKE2B 0fde7d0ca469aa6bb0ae9efde4f398c6c5c307646cc867fad26dce9868ab4f4fb08e2b769edba9e15cf5bd2be828cc947096ccd7f951dd669e1fb8df0dd70f2f SHA512 c52222cf66924c7fd3e052aa8c7daa099af0d611265707dc0505b54513cab49c2f59ae81d187e3c56596df0ddc8c75d90fa749beb77cd8afed55a6deb27d4400
diff --git a/dev-python/aiohttp/aiohttp-3.13.4.ebuild b/dev-python/aiohttp/aiohttp-3.13.4.ebuild
new file mode 100644
index 000000000000..028240dad730
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-3.13.4.ebuild
@@ -0,0 +1,162 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/aio-libs/aiohttp
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP client/server for asyncio"
+HOMEPAGE="
+ https://github.com/aio-libs/aiohttp/
+ https://pypi.org/project/aiohttp/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="+native-extensions test-rust"
+
+DEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ net-libs/llhttp:=
+ ' 'python3*')
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/aiodns-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohappyeyeballs-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/aiosignal-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
+ >=dev-python/brotlicffi-1.2[${PYTHON_USEDEP}]
+ >=dev-python/frozenlist-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/propcache-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.17.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zstd[${PYTHON_USEDEP}]
+ ' 3.11 3.12 3.13)
+"
+BDEPEND="
+ >=dev-python/multidict-4.5.0[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ native-extensions? (
+ >=dev-python/cython-3.1.1[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/blockbuster[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/isal[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python3*')
+ dev-python/zlib-ng[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( pytest-{mock,xdist} )
+EPYTEST_RERUNS=5
+: ${EPYTEST_TIMEOUT:=180}
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # increase the timeout a little
+ sed -e '/abs=/s/0.001/0.01/' -i tests/test_helpers.py || die
+ # xfail_strict fails on py3.10
+ sed -i -e '/--cov/d' -e '/pytest_cov/d' -e '/xfail_strict/d' setup.cfg || die
+ sed -i -e 's:-Werror::' Makefile || die
+ # remove vendored llhttp
+ rm -r vendor || die
+}
+
+python_configure() {
+ # check for .install-cython, so that we do this only once
+ if [[ ! -f .install-cython && ${EPYTHON} != pypy3 ]] &&
+ use native-extensions
+ then
+ # force rehashing first
+ emake requirements/.hash/cython.txt.hash
+ > .update-pip || die
+ > .install-cython || die
+ emake cythonize
+ fi
+}
+
+python_compile() {
+ local -x AIOHTTP_USE_SYSTEM_DEPS=1
+ # implicitly disabled for pypy3
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # proxy is not packaged
+ tests/test_proxy_functional.py
+ # python_on_whales is not packaged
+ tests/autobahn/test_autobahn.py
+ # benchmarks
+ tests/test_benchmarks_client.py
+ tests/test_benchmarks_client_request.py
+ tests/test_benchmarks_client_ws.py
+ tests/test_benchmarks_cookiejar.py
+ tests/test_benchmarks_http_websocket.py
+ tests/test_benchmarks_http_writer.py
+ tests/test_benchmarks_web_fileresponse.py
+ tests/test_benchmarks_web_middleware.py
+ tests/test_benchmarks_web_response.py
+ tests/test_benchmarks_web_urldispatcher.py
+ )
+
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_client_session.py::test_client_session_timeout_zero
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_nonzero_passed
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_passed_to_create_connection
+ tests/test_connector.py::test_tcp_connector_ssl_shutdown_timeout_zero_not_passed
+ tests/test_client_functional.py::test_invalid_idna
+ # broken by irrelevant deprecation warnings
+ tests/test_circular_imports.py::test_no_warnings
+ )
+
+ case ${EPYTHON} in
+ python3.14)
+ EPYTEST_DESELECT+=(
+ # TODO
+ tests/test_cookiejar.py::test_pickle_format
+ # different exception message
+ tests/test_client_functional.py::test_aiohttp_request_coroutine
+ )
+ ;;
+ esac
+
+ # upstream unconditionally blocks building C extensions
+ # on PyPy3 but the test suite needs an explicit switch
+ if [[ ${EPYTHON} == pypy3* ]] || ! use native-extensions; then
+ local -x AIOHTTP_NO_EXTENSIONS=1
+ fi
+
+ rm -rf aiohttp || die
+ epytest -m "not internal and not dev_mode"
+}